#### D.15.14.23 isIntegralSurjective

Procedure from library `multigrading.lib` (see multigrading_lib).

Purpose:
  test whether the given linear map P of lattices is
  surjective.

Returns:
  int, where 0 is false and 1 is true.

Example:

    LIB "multigrading.lib";
    intmat A[2][3] =
    1,3,5,
    2,4,6;
    // should be 0
    int b = isIntegralSurjective(A);
    print(b);
    ==> 0
    // another example
    intmat B[2][3] =
    1,1,5,
    2,3,6;
    // should be 1
    int c = isIntegralSurjective(B);
    print(c);
    ==> 1
    kill A, b, B, c;

User manual for Singular version 4.4.1, 2025, generated by texi2html.